Bug 457355 - External devices listed twice in Nautilus, not mountable
External devices listed twice in Nautilus, not mountable
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 00:00 EDT by Michel Alexandre Salim
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 21:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output (157.12 KB, text/plain)
2008-07-31 00:00 EDT, Michel Alexandre Salim
no flags Details

  None (edit)
Description Michel Alexandre Salim 2008-07-31 00:00:22 EDT
Description of problem:
Any external device appears twice in Places/Computer; neither icon can be used
to mount the device.

Version-Release number of selected component (if applicable):
gvfs-0.99.3-2.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Log in to GNOME
2. Plug in an external hard drive / USB thumb drive
  
Actual results:
Each device shows up as two icons. Also, a dialog box appears, once for each
unique device, with the following message:

Unable to mount KINGSTON

DBus error org.gtk.Private.RemoteVolumeMonitor.NotFound: The given volume was
not found

After the initial dialog box is closed, double-clicking on one of the icon
silently fails; double-clicking on the other icon reproduces the dialog box, but
now the volume label (KINGSTON) is replaced by 'location'

Expected results:
Should work

Additional info:
Also reported on Ubuntu's Intrepid Ibex alpha, a few days ago:
https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/251991

Maintainer indicated that he'd be reporting it upstream, but it does not look
like it's been reported
Comment 1 Michel Alexandre Salim 2008-07-31 00:00:22 EDT
Created attachment 313069 [details]
lshal output
Comment 2 Michel Alexandre Salim 2008-07-31 18:58:48 EDT
Nautilus now mounts hard drives, though the duplicate listing still occurs. When
ripping audio CDs using sound-juicer, however, only one disc can be ripped. The
second disc can be read, but ripping / playing fails. The sound-juicer interface
stops refreshing, and on the terminal the following is printed:

** (sound-juicer:4078): WARNING **: Could not lock drive: Extracting audio from CD
Error trying to open /dev/sg0 exclusively (Permission denied): retrying in 1 second.
(repeated several times, then moving on to /dev/sga which does not even exists,
sgb, ...)
Comment 3 Michel Alexandre Salim 2008-07-31 19:01:00 EDT
The only recourse is to restart haldaemon. Killing all gvfsd-related processes
does not help. Problem occurs regardless of whether the first CD was ejected
from Nautilus or from sound-juicer
Comment 4 Matthias Clasen 2008-07-31 21:41:49 EDT
I think this is already fixed in upstream gvfs. 
Comment 5 Matthias Clasen 2008-08-23 21:19:48 EDT
Should be fixed in rawhide. Reopen if you still see it.

Note You need to log in before you can comment on or make changes to this bug.